Class ThreeBendCornerBuilder
Inheritance
System.Object
System.MarshalByRefObject
ThreeBendCornerBuilder
Implements
System.Runtime.Remoting.Messaging.IMessageSink
Inherited Members
System.MarshalByRefObject.CreateObjRef(System.Type)
System.MarshalByRefObject.GetLifetimeService()
System.MarshalByRefObject.InitializeLifetimeService()
System.MarshalByRefObject.MemberwiseClone(System.Boolean)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
Assembly: NXOpen.dll
public class ThreeBendCornerBuilder : FeatureBuilder, IMessageSink, IComponentBuilder
Constructors
Declaration
protected ThreeBendCornerBuilder()
Properties
Declaration
public bool BlendMiter { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public Expression BlendMiterRadius { get; }
Property Value
Declaration
public Expression Diameter { get; }
Property Value
Declaration
public Expression FlangeClearance { get; }
Property Value
Declaration
public bool MiterCorner { get; set; }
Property Value
Type |
Description |
System.Boolean |
|
Declaration
public Expression MiterRootRadius { get; }
Property Value
Declaration
public int NumberOfFacePairs { get; }
Property Value
Type |
Description |
System.Int32 |
|
Declaration
public Expression Offset { get; }
Property Value
Declaration
public ThreeBendCornerBuilder.OriginTypes OriginType { get; set; }
Property Value
Declaration
public ThreeBendCornerBuilder.TreatmentTypeOptions TreatmentType { get; set; }
Property Value
Declaration
public Expression VCutoutAngle1 { get; }
Property Value
Declaration
public Expression VCutoutAngle2 { get; }
Property Value
Methods
Declaration
public void AddFacePair(Face firstFace, Face secondFace)
Parameters
Type |
Name |
Description |
Face |
firstFace |
|
Face |
secondFace |
|
Declaration
public void GetFacePair(int index, out Face firstFace, out Face secondFace)
Parameters
Type |
Name |
Description |
System.Int32 |
index |
|
Face |
firstFace |
|
Face |
secondFace |
|
Declaration
public void RemoveFacePair(Face firstFace, Face secondFace)
Parameters
Type |
Name |
Description |
Face |
firstFace |
|
Face |
secondFace |
|
Declaration
[Obsolete("Deprecated in NX10.0.0. Use NXOpen.Expression.RightHandSide on the NXOpen.Expression object returned from NXOpen.Features.SheetMetal.ThreeBendCornerBuilder.Diameter instead.")]
public void SetDiameter(string diameter)
Parameters
Type |
Name |
Description |
System.String |
diameter |
|
Declaration
public int ValidateBuilderData()
Returns
Type |
Description |
System.Int32 |
|
Implements
System.Runtime.Remoting.Messaging.IMessageSink